selectChannels {Biobase} | R Documentation

## Create a new NChannelSet instance by selecting specific channels

### Description

This generic function extracts specific elements from an object, returning a instance of that object.

### Usage

    selectChannels(object, names, ...)

### Arguments

`object` | An S4 object, typically derived from class `eSet`
`names` | Character vector of named channels.
`...` | Additional arguments.

### Value

Instance of class `object`.

### Author(s)

Biocore

### Examples

    obj <- new("NChannelSet",
               R=matrix(runif(100), 20, 5),
               G=matrix(runif(100), 20, 5))

    ## G channel as NChannelSet
    selectChannels(obj, "G")

[Package Biobase version 1.16.3 Index]